GNU bug report logs - #51051
Restore longlines.el to non-obsolete status

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Phil Sainty <psainty@HIDDEN>; merged with #18589; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 51051 <at> debbugs.gnu.org and Phil Sainty <psainty@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51051 <at> debbugs.gnu.org:


Received: (at 51051) by debbugs.gnu.org; 2 Jul 2022 15:34:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 02 11:34:09 2022
Received: from localhost ([127.0.0.1]:42573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o7f8L-0006Pl-NE
	for submit <at> debbugs.gnu.org; Sat, 02 Jul 2022 11:34:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1o7f8J-0006PS-MO; Sat, 02 Jul 2022 11:34:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=aSnbn3pu9jCdPGwGiuIAgmqxuPQTnZwH7gh/6WEY+zI=; b=BNHf4vHFevYpRDbcZYvKNvFhT8
 Rno40v/sOB41tOqyTFoEpj8xAWh7sLj+BeXL93asxlJYarRtpVIuniTyKbdX6T8eMOsmzM5ZKQoN2
 v20o40CbDDSKBCFuXXeq7RkMZtDoxf345IVHnafYoWmSchyIYU8P4bpPxrtL4N+jEWJ0=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o7f89-0003ME-9U; Sat, 02 Jul 2022 17:33:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#51051: Restore longlines.el to non-obsolete status
In-Reply-To: <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 30 Sep 2014 14:19:36 -0400")
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
 <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN>
X-Now-Playing: The Clash's _Sandinista!_: "Junkie Slip"
Date: Sat, 02 Jul 2022 17:33:52 +0200
Message-ID: <87letbzfz3.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > Recently
 someone pointed out that using longlines-mode in a buffer that > contain
 *very* long lines makes it possible to view&edit the buffer > without
 suffering unbearable performance problems. So [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51051
Cc: 18589 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN, 51051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> Recently someone pointed out that using longlines-mode in a buffer that
> contain *very* long lines makes it possible to view&edit the buffer
> without suffering unbearable performance problems.  So maybe in this
> sense it's not completely obsolete.

I've now unobsoleted longlines-mode in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51051; Package emacs. Full text available.
Removed tag(s) notabug. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 18589 51051. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51051 <at> debbugs.gnu.org:


Received: (at 51051) by debbugs.gnu.org; 6 Oct 2021 23:16:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 19:16:12 2021
Received: from localhost ([127.0.0.1]:45704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYG8x-0001ad-5V
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:12 -0400
Received: from mail-pf1-f181.google.com ([209.85.210.181]:44684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mYG8s-0001R6-Hi
 for 51051 <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:10 -0400
Received: by mail-pf1-f181.google.com with SMTP id 145so3663936pfz.11
 for <51051 <at> debbugs.gnu.org>; Wed, 06 Oct 2021 16:16:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=4M//PYtkK/LMQzD2mIG8PMA8CHPyALPaupWeCwObBUA=;
 b=vG+cddSuaxnnoy76k1pFJKWSFF/GY6rPbx55b9uL0rUmhNzCcBtB8j5jlwj1CVfsRG
 qWgrq5FTdtk1s/mnGmYlU26q/O9E3CZB+/9gXsNycZy2JTmjrszA6ajKRq1GOMHox4Zl
 IiIWeYXZx+PUBizcvwaV0uDV3Jnc53msaQrV7ZWLE6OZwOnh3Li8TIi1ZrkKf6iZ49cf
 sGVYfDR72tNZl3IHSLkfuYfESHVLj/ZTKWbh/Ec6VvtNSVqU8bHXzxYxk8r9MRmBVafD
 EWPNh14cHF6HVGrI6aPWzykK0kICvj/r7PIjkYRoNfQ6D5hMeCBh5RMBgON/VLr8KvfV
 7jQQ==
X-Gm-Message-State: AOAM5338FbN+4tQt/+sLCR8Xs2QOewGljPBf5d37xxS0oYQVITU3CLxc
 UkJCQqVKxaPy0x5RZ4fD6VNqrFFtoZwthAf7xuI=
X-Google-Smtp-Source: ABdhPJzt0lHlj+4G2YRIWxOxgO9pZrFTeAp4R6AvN+UbJ0zBPq21JcvoUpvPy8ZtTswhIHKCm+SadABVsBluo9qR6KI=
X-Received: by 2002:a63:4717:: with SMTP id u23mr633569pga.359.1633562160786; 
 Wed, 06 Oct 2021 16:16:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 6 Oct 2021 19:16:00 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87pmsiecfu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 06 Oct 2021 11:21:09 +0200")
References: <9ae936c82a87607abd814ae6cd7ef95b@HIDDEN>
 <87pmsiecfu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 6 Oct 2021 19:16:00 -0400
Message-ID: <CADwFkmkhEOm3GmEPMsmnycjZq=121xoGj3UGmDyMga65QNLhAg@HIDDEN>
Subject: Re: bug#51051: Restore longlines.el to non-obsolete status
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 51051
Cc: Phil Sainty <psainty@HIDDEN>, Glenn Morris <rgm@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 51051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

unarchive 18589
reopen 18589
forcemerge 18589 51051
tags 18589 - notabug
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Phil Sainty <psainty@HIDDEN> writes:
>
>> As longlines.el is still valuable for reasons unrelated to
>> visual-line-mode, I'd like it to be restored to non-obsolete
>> status.
>
> I think that makes sense.  Does anybody else object?

There was a previous discussion in Bug#18589 (now merged):

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18589

It seems like Stefan Monnier's take was this:

> Recently someone pointed out that using longlines-mode in a buffer that
> contain *very* long lines makes it possible to view&edit the buffer
> without suffering unbearable performance problems.  So maybe in this
> sense it's not completely obsolete.

And:

> I wouldn't mind de-obsoleting it.

The last message in Bug#18589 links here:

    https://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00475.html

(I'm copying in Stefan and Glenn, in case they have something to add.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51051; Package emacs. Full text available.

Message received at 51051 <at> debbugs.gnu.org:


Received: (at 51051) by debbugs.gnu.org; 6 Oct 2021 09:21:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 05:21:35 2021
Received: from localhost ([127.0.0.1]:42528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mY37H-0004pS-2t
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 05:21:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mY371-0004ou-8x
 for 51051 <at> debbugs.gnu.org; Wed, 06 Oct 2021 05:21:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Yqx3qb3E10qONYwjhdVQS/FDt0zGukvUC57HA7pTHtI=; b=Co0+bEb6K+Zw4h6mNapDsg+UeK
 /W9YiXh9U0K3oND1hKXI+AGW28uifvVlGJX8iV83xnozE27UeH8+vfn9Ig4XU6f2LJPHH/zXo1/2U
 1ZN+7FNCt+OnECFMg3KNXaTGe6B5GZFCviqZMUMydLY6yEc3mdy1VZr+vlLQlsoRgKCc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mY36s-0000Qe-CH; Wed, 06 Oct 2021 11:21:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#51051: Restore longlines.el to non-obsolete status
References: <9ae936c82a87607abd814ae6cd7ef95b@HIDDEN>
X-Now-Playing: DJ Screw's _All Work, No Play_: "DJ Screw  Herschelwood
 Hardheadz We Are Family  feat  Herschelwood Hardheadz "
Date: Wed, 06 Oct 2021 11:21:09 +0200
In-Reply-To: <9ae936c82a87607abd814ae6cd7ef95b@HIDDEN> (Phil
 Sainty's message of "Wed, 06 Oct 2021 14:36:09 +1300")
Message-ID: <87pmsiecfu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Phil Sainty <psainty@HIDDEN> writes: > As longlines.el
 is still valuable for reasons unrelated to > visual-line-mode, I'd like it
 to be restored to non-obsolete > status. I think that makes sense. Does
 anybody else object? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51051
Cc: 51051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Phil Sainty <psainty@HIDDEN> writes:

> As longlines.el is still valuable for reasons unrelated to
> visual-line-mode, I'd like it to be restored to non-obsolete
> status. 

I think that makes sense.  Does anybody else object?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51051; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Oct 2021 01:36:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 05 21:36:17 2021
Received: from localhost ([127.0.0.1]:42169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXvqz-0007I8-CI
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 21:36:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:55306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1mXvqw-0007I0-IV
 for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 21:36:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52024)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1mXvqw-0001Bn-C3
 for bug-gnu-emacs@HIDDEN; Tue, 05 Oct 2021 21:36:14 -0400
Received: from smtp-4.orcon.net.nz ([60.234.4.59]:58509)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <psainty@HIDDEN>)
 id 1mXvqu-00019W-TC
 for bug-gnu-emacs@HIDDEN; Tue, 05 Oct 2021 21:36:14 -0400
Received: from [10.253.37.70] (port=37526 helo=webmail.orcon.net.nz)
 by smtp-4.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>) id 1mXvqs-0000lc-2f
 for bug-gnu-emacs@HIDDEN; Wed, 06 Oct 2021 14:36:10 +1300
Received: from ip-203-94-48-127.kinect.net.nz ([203.94.48.127])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Wed, 06 Oct 2021 14:36:09 +1300
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Wed, 06 Oct 2021 14:36:09 +1300
From: Phil Sainty <psainty@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Restore longlines.el to non-obsolete status
Message-ID: <9ae936c82a87607abd814ae6cd7ef95b@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
Received-SPF: pass client-ip=60.234.4.59; envelope-from=psainty@HIDDEN;
 helo=smtp-4.orcon.net.nz
X-Spam_score_int: 1
X-Spam_score: 0.1
X-Spam_bar: /
X-Spam_report: (0.1 / 5.0 requ) BAYES_50=0.8, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

longlines.el was marked obsolete in 24.4 on the basis that
visual-line-mode provided a better alternative, and indeed
visual-line-mode is better for wrapping lines of normal lengths;
however longlines-mode is actually very valuable for editing
files with lines that are so long that they cause performance
problems.  This is because longlines-mode converts the long
lines into short lines for editing, and therefore it will give
you good performance at *any* position in the file.

For this reason, so-long.el has supported longlines-mode as a
standard action since version 1.0.  While so-long-mode is very
fast to enable, it still won't cope well if you move point deep
into an incredibly long line.  Conversely longlines-mode is slow
to enable (as it has to break all the long lines), but it then
gives good performance everywhere in the buffer.  As such they
complement one another (and you can switch between them via the
"So Long" menu).

As longlines.el is still valuable for reasons unrelated to
visual-line-mode, I'd like it to be restored to non-obsolete
status.  I think the relationship with visual-line-mode (and
recommendation of the latter for line-wrapping in general) can
just be documented in the longlines commentary.


-Phil





Acknowledgement sent to Phil Sainty <psainty@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51051; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 2 Jul 2022 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.